# README

## Introduction

The CNCF Deaf and Hard of Hearing (deaf/hoh) initiative seeks to facilitate inclusion by empowering the deaf/hoh in cloud native and open source to become more active and visible.

This initiative draws inspiration from the pilot program led by the Mentoring Working Group, which aims to engage Maori youth in the open source community. It seeks to create a path for young community members to thrive and contribute to open source, and will hopefully serve as a blueprint for other indigenous communities.

## Problem statement

Diversity in the tech industry has long been a concern, prompting the CNCF and leading tech companies to foster inclusive environments for various underrepresented groups. Progress has been made in supporting women, people of color, different gender identities, and sexual orientations, although there is still much work to be done. There remains a significant gap in initiatives that specifically address the inclusion of disabled communities, such as the deaf and hard of hearing deaf/hoh.

## Vision

In any community, if you don't see individuals "like you" thriving in a particular field, it can be difficult to envision a path for yourself. Without visible representation, they may not even know that such opportunities exist.

To cultivate greater representation and inclusivity for all communities, we must establish pathways that enable individuals with specific disabilities to enter the cloud native and open source space. By paving the way for a critical mass of diverse individuals to succeed in these fields, we can inspire and empower them to become role models within their own communities. In turn, these role models will serve as catalysts, motivating a new generation of engineers to join them on this journey.

Overall, by facilitating the inclusion of the deaf/hoh, we can foster a more diverse and vibrant tech community, where everyone has the opportunity to contribute their unique perspectives and talents.

## Mission

Create a supportive and inclusive cloud native/open source community that offers pathways to deaf/hoh members to become active community members — from occasional contributions to maintainers to known subject matter experts — and provide them with the tools they need to get access to the best paying jobs of the industry.

## Goals

* Create pathways for deaf/hoh individuals into cloud native and open source
* Empower deaf/hoh to become more visible members within the cloud native community  
* Encourage and educate employers on hiring deaf/hoh employees
* Build a deaf/hoh in tech community to network, learn from, and support each other

## Contact

* CNCF Slack: [#deaf-and-hard-of-hearing](https://cloud-native.slack.com/archives/C05BYNK8A3V)
* Monthly meetings:
  * Every fourth Tuesday of the month (for details check the [CNCF Calendar](https://tockify.com/cncf.public.events/monthly?search=Deaf%20and%20Hard%20of%20Hearing%20WG))
  * [Meeting minutes/agenda](https://docs.google.com/document/d/1VUPJFOx36JqbgydkMRZPufP1dAEHWMnfviqMNI-jBLo/edit)
