---
title: "Self Assessment Template"
date: 2024-02-07
weight: 50
---

## Introduction

Please see the [Governance Self Assessment Guide](/maintainers/governance/governance-self-assessment/) for the instructions.

## Template

```markdown
# Project Information

Project Name: [TODO]

Date of the assessment: [TODO]

Executors: [TODO]

### Executing the Assessment

[TODO]

## Review

### Governance Description

[TODO]

### Discoverability

#### Governance Location

[TODO]

#### Governance Discovery Completeness

[TODO]

### Documentation Content

The following table details the governance areas expected for a project. Coverage is indicated by Complete, Partial, and Missing.
* Complete - the content of the governance documentation is fully detailed and does not leave any question to the reader.
* Partial - the content of the governance documentation is missing some information and would leave the reader 
  with questions or some level of misunderstanding.
* Missing - the documentation is absent, wholly undiscoverable, or woefully inadequate in meeting the objectives 
  of that governance content. The reader cannot act on the content that is available.

| Governance Area                 |             Coverage             |   Documents   | Finding Notes |
|:--------------------------------|:--------------------------------:|:-------------:|:--------------|
| Project Purpose                 | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Maintainer List                 | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Code of Conduct                 | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Contributor Guide               | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Contributor Ladder              | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Maintainer Lifecycle            | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Decision-making                 | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Code and Docs Ownership         | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Security Reporting and response | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |
| Communication and Meetings      | [TODO: Complete/Partial/Missing] | [TODO: LINKS] | [TODO]        |



#### Sub-projects, plugins, and related

The project includes the following sub-projects, plugins, and other notable divisions:

| Area                |     Ownership and Operation      |        Standing Bodies         | Project Alignment                 | Notes  |
|:--------------------|:--------------------------------:|:------------------------------:|:----------------------------------|:-------|
| [TODO: sub-project] | [TODO: Complete/Partial/Missing] | [TODO: Complete/Partial/Other] | [TODO: Complete/Partial/Conflict] | [TODO] |

### Operation

[TODO]

#### Transparency and freshness

The project's governance documentation and activities are [TODO]

#### Governance Drift

The project [TODO: does/does] not experience governance drift as indicated by [TODO]...

#### Ownership

The project's ownership evaluation [TODO: did/did not] leverage Sheriff, the CNCF GitHub permission auditing tool.

The project's permissions and ownership settings and files [TODO: are/are not] appropriate for the stated governance.
Specifically, [TODO]...

### Maintainer List(s)

The project's maintainer list(s) [TODO: are/are not] current.
Individuals on the maintainer list [TODO: do/do not] appear to match the requirements of maintainership in accordance 
with the project's documented requirements. 
The maintainer affiliations (employers) reflect [TODO: Balanced/Unbalanced] diversity.

### Evolution

Governance evolution is the observable changes and improvements the project makes to its governance over the 
project's lifespan.
It is expected that changes will occur over the project's life and that such changes are iterative, tested, and adjusted.

Major milestones in the project's governance over time include:

* [TODO]

Recent changes to the governance include:

* [TODO]

Areas of potential future development include:

* [TODO]

### Governance Findings Table

| Finding Title |           Importance            | Description                 | Links                 | Notes & Impact                                                   |
|:--------------|:-------------------------------:|:----------------------------|:----------------------|:-----------------------------------------------------------------|
| [TODO: Title] | [TODO:Critical/High/Medium/Low] | [TODO:detailed description] | [TODO:relevant links] | [TODO:additional notes and explanation of impact if appropriate] |

##### Improvements made since assessment start

* [TODO]

### Previous Reviews

| Date         | Requested By       |                     Reason                      | Link                      |
|:-------------|:-------------------|:-----------------------------------------------:|:--------------------------|
| [TODO:Date*] | [TODO:TOC/Project] | [TODO:Maturity change / project request / etc.] | [TODO:link to review doc] |

```
